
{*******************************************************}
{                                                       }
{       Borland Delphi Visual Component Library         }
{                                                       }
{       Copyright (c) 1995,98 Inprise Corporation       }
{                                                       }
{  : 1999   roman@sar.nnov.ru   }
{                                                       }
{*******************************************************}

unit Consts;

interface

resourcestring
  SOpenFileTitle = '';
  SAssignError = '   %s  %s';
  SFCreateError = '    %s';
  SFOpenError = '    %s';
  SReadError = '  ';
  SWriteError = '  ';
  SMemoryStreamError = '       ';
  SCantWriteResourceStreamError = '    ,     (read only)';
  SDuplicateReference = ' WriteObject        ';
  SClassNotFound = ' %s  ';
  SInvalidImage = '  ';
  SResNotFound = ' %s  ';
  SClassMismatch = ' %s  ';
  SListIndexError = '     (%d)';
  SListCapacityError = '      (%d)';
  SListCountError = '      (%d)';
  SSortedListError = '      ';
  SDuplicateString = '    ';
  SInvalidTabIndex = 'Tab     ';
  SInvalidTabPosition = 'Tab     tab ';
  SInvalidTabStyle = 'Tab     tab ';
  SDuplicateName = '   %s  ';
  SInvalidName = '''''%s'''' -   ';
  SDuplicateClass = '   %s  ';
  SNoComSupport = '%s    COM ';
  SInvalidInteger = '''''%s'''' -   ';
  SLineTooLong = '  ';
  SInvalidPropertyValue = '  ';
  SInvalidPropertyPath = '   ';
  SUnknownProperty = '  ';
  SReadOnlyProperty = '    ';
{$IFNDEF VER120}
  SPropertyException = '  %s.%s: %s';
{$ELSE}
  SPropertyException = '  %s%s%s: %s';
{$ENDIF}
  SAncestorNotFound = '  ''%s''  ';
  SInvalidBitmap = ' (Bitmap)   ';           { ? }
  SInvalidIcon = ' (Icon)   ';                 { ? }
  SInvalidMetafile = ' (Metafile)   ';       { ? }
  SInvalidPixelFormat = '  (pixel) ';             { ? }
  SBitmapEmpty = ' (Bitmap) ';
  SScanLine = 'Scan line    ';
  SChangeIconSize = '   ';
  SOleGraphic = '    TOleGraphic';
  SUnknownExtension = '    (.%s)';
  SUnknownClipboardFormat = '   ';
  SOutOfResources = '   ';
  SNoCanvasHandle = ' (Canvas)   ';
  SInvalidImageSize = '  ';
  STooManyImages = '  ';
  SDimsDoNotMatch = '        ImageList';
  SInvalidImageList = '  ImageList';
  SReplaceImage = '  ';
  SImageIndexError = '  ImageList';
  SImageReadFail = '     ImageList  ';
  SImageWriteFail = '     ImageList  ';
  SWindowDCError = 'Error creating window device context';
  SClientNotSet = 'Client of TDrag not initialized';
  SWindowClass = 'Error creating window class';
  SWindowCreate = 'Error creating window';
  SCannotFocus = '      ';
  SParentRequired = '  ''%s''    ';
  SMDIChildNotVisible = '  MDI Child ';
  SVisibleChanged = '     OnShow  OnHide';
  SCannotShowModal = '    ';
  SScrollBarRange = ' Scrollbar   ';
  SPropertyOutOfRange = ' %s   ';
  SMenuIndexError = '    ';
  SMenuReinserted = '  ';
  SMenuNotFound = '    ';
  SNoTimers = '  ';
  SNotPrinting = '      ';
  SPrinting = ' ...';
  SPrinterIndexError = '    ';
  SInvalidPrinter = '  ';
  SDeviceOnPort = '%s on %s';
  SGroupIndexTooLow = 'GroupIndex      GroupIndex   ';
  STwoMDIForms = '     MDI   ';
  SNoMDIForm = '   .    MDI ';
  SRegisterError = '  ';
  SImageCanvasNeedsBitmap = ',   Bitmap,   ';
  SControlParentSetToSelf = '           ';
  SOKButton = 'OK';
  SCancelButton = '';
  SYesButton = '&';
  SNoButton = '&';
  SHelpButton = '&';
  SCloseButton = '&';
  SIgnoreButton = '&';
  SRetryButton = '&';
  SAbortButton = '';
  SAllButton = '&';

  SCannotDragForm = '  ';
  SPutObjectError = 'PutObject to undefined item';
  SCardDLLNotLoaded = '    CARDS.DLL';
  SDuplicateCardId = '  CardId';

  SDdeErr = '   DDE ($0%x)';
  SDdeConvErr = 'DDE  -    ($0%x)';
  SDdeMemErr = 'Error occurred when DDE ran out of memory ($0%x)';
  SDdeNoConnect = '    DDE';

  SFB = 'FB';
  SFG = 'FG';
  SBG = 'BG';
  SOldTShape = '    TShape';
  SVMetafiles = '';
  SVEnhMetafiles = ' ';
  SVIcons = '';
  SVBitmaps = '';
  SGridTooLarge = ' (Grid)    ';
  STooManyDeleted = '     ';
  SIndexOutOfRange = '    ';
  SFixedColTooBig = '       ';
  SFixedRowTooBig = '       ';
  SInvalidStringGridOp = '       ';
  SParseError = '%s   %d';
  SIdentifierExpected = ' ';
  SStringExpected = ' ';
  SNumberExpected = ' ';
  SCharExpected = ' ''''%s''''';
  SSymbolExpected = ' %s';
  SInvalidNumber = '  ';
  SInvalidString = '  ';
  SInvalidProperty = '  ';
  SInvalidBinary = '  ';
  SOutlineIndexError = ' Outline  ';
  SOutlineExpandError = '    ';
  SInvalidCurrentItem = '    ';
  SMaskErr = '  ';
  SMaskEditErr = '  .  Esc   ';
  SOutlineError = ' Outline ';
  SOutlineBadLevel = '  ';
  SOutlineSelection = ' ';
  SOutlineFileLoad = '  ';
  SOutlineLongLine = '  ';
  SOutlineMaxLevels = '   Outline';

  SMsgDlgWarning = '';
  SMsgDlgError = '';
  SMsgDlgInformation = '';
  SMsgDlgConfirm = '';
  SMsgDlgYes = '&';
  SMsgDlgNo = '&';
  SMsgDlgOK = 'OK';
  SMsgDlgCancel = '';
  SMsgDlgHelp = '&';
  SMsgDlgHelpNone = '  ';
  SMsgDlgHelpHelp = '';
  SMsgDlgAbort = '&';
  SMsgDlgRetry = '&';
  SMsgDlgIgnore = '&';
  SMsgDlgAll = '&';
  SMsgDlgNoToAll = '&  ';
  SMsgDlgYesToAll = '&  ';

  SmkcBkSp = 'BkSp';
  SmkcTab = 'Tab';
  SmkcEsc = 'Esc';
  SmkcEnter = 'Enter';
  SmkcSpace = 'Space';
  SmkcPgUp = 'PgUp';
  SmkcPgDn = 'PgDn';
  SmkcEnd = 'End';
  SmkcHome = 'Home';
  SmkcLeft = 'Left';
  SmkcUp = 'Up';
  SmkcRight = 'Right';
  SmkcDown = 'Down';
  SmkcIns = 'Ins';
  SmkcDel = 'Del';
  SmkcShift = 'Shift+';
  SmkcCtrl = 'Ctrl+';
  SmkcAlt = 'Alt+';

  srUnknown = '()';
  srNone = '()';
  SOutOfRange = '    %d  %d';
  SCannotCreateName = '         ';

  SDateEncodeError = '    (encode) ';
  STimeEncodeError = '    (encode) ';
  SInvalidDate = '''''%s'''' -  ';
  SInvalidTime = '''''%s'''' -  ';
  SInvalidDateTime = '''''%s'''' -    ';
  SInvalidFileName = '   - %s';
  SDefaultFilter = '  (*.*)|*.*';
  sAllFilter = '';
  SNoVolumeLabel = ': [ -    - ]';
  SInsertLineError = '  ';

  SConfirmCreateDir = '   .  ?';
  SSelectDirCap = ' ';
  SCannotCreateDir = '  ';
  SDirNameCap = '& :';
  SDrivesCap = '&:';
  SDirsCap = '&:';
  SFilesCap = '&: (*.*)';
  SNetworkCap = '&...';

  SColorPrefix = 'Color';
  SColorTags = 'ABCDEFGHIJKLMNOP';

  SInvalidClipFmt = '     ';
  SIconToClipboard = '     ';
  SCannotOpenClipboard = '    ';

  SDefault = 'Default';

  SInvalidMemoSize = '    ';
  SCustomColors = 'Custom Colors';
  SInvalidPrinterOp = '     ';
  SNoDefaultPrinter = '    ';

  SIniFileWriteError = '   %s';

  SBitsIndexError = ' Bits   ';

  SUntitled = '( )';

  SInvalidRegType = '    ''%s''';
  SRegCreateFailed = '    %s';
  SRegSetDataFailed = '     ''%s''';
  SRegGetDataFailed = '     ''%s''';

  SUnknownConversion = '      RichEdit (.%s)';
  SDuplicateMenus = ' ''%s''    ';

  SPictureLabel = ':';
  SPictureDesc = ' (%dx%d)';
  SPreviewLabel = '';

  SCannotOpenAVI = '   AVI ';

  SNotOpenErr = '   MCI';
  SMPOpenFilter = '  (*.*)|*.*|  (*.wav)|*.wav|Midi  (*.mid)|*.mid|  Windows (*.avi)|*.avi';
  SMCINil = '';
  SMCIAVIVideo = 'AVIVideo';
  SMCICDAudio = 'CDAudio';
  SMCIDAT = 'DAT';
  SMCIDigitalVideo = 'DigitalVideo';
  SMCIMMMovie = 'MMMovie';
  SMCIOther = 'Other';
  SMCIOverlay = 'Overlay';
  SMCIScanner = 'Scanner';
  SMCISequencer = 'Sequencer';
  SMCIVCR = 'VCR';
  SMCIVideodisc = 'Videodisc';
  SMCIWaveAudio = 'WaveAudio';
  SMCIUnknownError = '  ';

  SBoldItalicFont = ' ';
  SBoldFont = '';
  SItalicFont = '';
  SRegularFont = '';

  SPropertiesVerb = '';

  sWindowsSocketError = ' Windows Socket: %s (%d), on API ''%s''';
  sAsyncSocketError = '   (socket) %d';
  sNoAddress = '  ';
  sCannotListenOnOpen = '     (socket)';
  sCannotCreateSocket = '     (socket)';
  sSocketAlreadyOpen = ' (socket)  ';
  sCantChangeWhileActive = '     (socket) ';
  sSocketMustBeBlocking = ' (socket)     ';
  sSocketIOError = '%s  %d, %s';
  sSocketRead = '';
  sSocketWrite = '';

  SServiceFailed = '   %s: %s';
  SExecute = 'execute';
  SStart = 'start';
  SStop = 'stop';
  SPause = 'pause';
  SContinue = 'continue';
  SInterrogate = 'interrogate';
  SShutdown = 'shutdown';
  SCustomError = 'Service failed in custom message(%d): %s';
  SServiceInstallOK = '  ';
  SServiceInstallFailed = '    "%s", : "%s"';
  SServiceUninstallOK = '  ';
  SServiceUninstallFailed = '    "%s", : "%s"';

  SInvalidActionRegistration = '   (action)';
  SInvalidActionUnregistration = '    (action)';
  SInvalidActionEnumeration = '   (action)';
  SInvalidActionCreation = '   (action)';

  SDockedCtlNeedsName = '    ';
  SDockTreeRemoveError = '      ';
  SDockZoneNotFound = ' -    ';
  SDockZoneHasNoCtl = ' -     ';

  SAllCommands = ' ';

implementation

end.