{
  POP3 Mail Checker

  MIME support

  Roman M. Mochalov
  E-mail: roman@sar.nnov.ru
}

unit MC_Decode;

interface

uses
  Controls, Forms;

function StrDecodeBase64(const S: string): string;
function StrDecodeQuotedPrintable(const S: string): string;

implementation

uses
  MIME;

function StrDecodeBase64(const S: string): string;
var
  Size: Integer;
  Buffer: PChar;
begin
  Screen.Cursor := crHourGlass;
  try
    GetMem(Buffer, Length(S));
    try
      Size := MIME.DecodeLineBASE64(S, Buffer);
      Buffer[Size] := #0;
      SetString(Result, Buffer, Size);
    finally
      FreeMem(Buffer, Length(S));
    end;
  finally
    Screen.Cursor := crDefault;
  end;
end;

function StrDecodeQuotedPrintable(const S: string): string;
begin
  Screen.Cursor := crHourGlass;
  try
    Result := MIME.DecodeQuotedPrintable(S);
  finally
    Screen.Cursor := crDefault;
  end;
end;

end.
